CMSIS-DSP: Globals

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - m -

- arm_mat_add_f32() : arm_math.h , arm_mat_add_f32.c
- arm_mat_add_q15() : arm_math.h , arm_mat_add_q15.c
- arm_mat_add_q31() : arm_math.h , arm_mat_add_q31.c
- arm_mat_cmplx_mult_f32() : arm_math.h , arm_mat_cmplx_mult_f32.c
- arm_mat_cmplx_mult_q15() : arm_math.h , arm_mat_cmplx_mult_q15.c
- arm_mat_cmplx_mult_q31() : arm_math.h , arm_mat_cmplx_mult_q31.c
- arm_mat_init_f32() : arm_math.h , arm_mat_init_f32.c
- arm_mat_init_q15() : arm_math.h , arm_mat_init_q15.c
- arm_mat_init_q31() : arm_math.h , arm_mat_init_q31.c
- arm_mat_inverse_f32() : arm_math.h , arm_mat_inverse_f32.c
- arm_mat_inverse_f64() : arm_math.h , arm_mat_inverse_f64.c
- arm_mat_mult_f32() : arm_math.h , arm_mat_mult_f32.c
- arm_mat_mult_fast_q15() : arm_math.h , arm_mat_mult_fast_q15.c
- arm_mat_mult_fast_q31() : arm_math.h , arm_mat_mult_fast_q31.c
- arm_mat_mult_q15() : arm_math.h , arm_mat_mult_q15.c
- arm_mat_mult_q31() : arm_math.h , arm_mat_mult_q31.c
- arm_mat_scale_f32() : arm_math.h , arm_mat_scale_f32.c
- arm_mat_scale_q15() : arm_math.h , arm_mat_scale_q15.c
- arm_mat_scale_q31() : arm_math.h , arm_mat_scale_q31.c
- arm_mat_sub_f32() : arm_math.h , arm_mat_sub_f32.c
- arm_mat_sub_q15() : arm_math.h , arm_mat_sub_q15.c
- arm_mat_sub_q31() : arm_math.h , arm_mat_sub_q31.c
- arm_mat_trans_f32() : arm_math.h , arm_mat_trans_f32.c
- arm_mat_trans_q15() : arm_math.h , arm_mat_trans_q15.c
- arm_mat_trans_q31() : arm_math.h , arm_mat_trans_q31.c
- arm_max_f32() : arm_math.h , arm_max_f32.c
- arm_max_q15() : arm_math.h , arm_max_q15.c
- arm_max_q31() : arm_math.h , arm_max_q31.c
- arm_max_q7() : arm_math.h , arm_max_q7.c
- arm_mean_f32() : arm_math.h , arm_mean_f32.c
- arm_mean_q15() : arm_math.h , arm_mean_q15.c
- arm_mean_q31() : arm_mean_q31.c , arm_math.h
- arm_mean_q7() : arm_math.h , arm_mean_q7.c
- arm_min_f32() : arm_math.h , arm_min_f32.c
- arm_min_q15() : arm_math.h , arm_min_q15.c
- arm_min_q31() : arm_math.h , arm_min_q31.c
- arm_min_q7() : arm_min_q7.c , arm_math.h
- arm_mult_f32() : arm_mult_f32.c , arm_math.h
- arm_mult_q15() : arm_mult_q15.c , arm_math.h
- arm_mult_q31() : arm_mult_q31.c , arm_math.h
- arm_mult_q7() : arm_math.h , arm_mult_q7.c
- M0 : arm_convolution_example/Abstract.txt , arm_dotproduct_example/Abstract.txt , arm_fft_bin_example/Abstract.txt , arm_matrix_example/Abstract.txt , arm_class_marks_example/Abstract.txt , arm_signal_converge_example/Abstract.txt , arm_variance_example/Abstract.txt , arm_fir_example/Abstract.txt , arm_sin_cos_example/Abstract.txt , arm_graphic_equalizer_example/Abstract.txt , arm_linear_interp_example/Abstract.txt
- M3 : arm_class_marks_example/Abstract.txt , arm_fir_example/Abstract.txt , arm_linear_interp_example/Abstract.txt , arm_matrix_example/Abstract.txt , arm_fft_bin_example/Abstract.txt , arm_sin_cos_example/Abstract.txt , arm_signal_converge_example/Abstract.txt , arm_variance_example/Abstract.txt , arm_convolution_example/Abstract.txt , arm_dotproduct_example/Abstract.txt , arm_graphic_equalizer_example/Abstract.txt
- main() : arm_linear_interp_example_f32.c , arm_matrix_example_f32.c , arm_graphic_equalizer_example_q31.c , arm_dotproduct_example_f32.c , arm_convolution_example_f32.c , arm_class_marks_example_f32.c , arm_fft_bin_example_f32.c , arm_signal_converge_example_f32.c , arm_variance_example_f32.c , arm_fir_example_f32.c , arm_sin_cos_example_f32.c
- MAX_BLOCKSIZE : arm_sin_cos_example_f32.c , arm_variance_example_f32.c , arm_dotproduct_example_f32.c , arm_convolution_example_f32.c
- max_marks : arm_class_marks_example_f32.c
- mean : arm_class_marks_example_f32.c
- merge_rfft_f32() : arm_rfft_fast_f32.c
- min_marks : arm_class_marks_example_f32.c
- MU : arm_signal_converge_example_f32.c
- mult32x64() : arm_math.h
- mult_32x32_keep32 : arm_math.h
- mult_32x32_keep32_R : arm_math.h
- multAcc_32x32_keep32 : arm_math.h
- multAcc_32x32_keep32_R : arm_math.h
- multOutput : arm_dotproduct_example_f32.c
- multSub_32x32_keep32 : arm_math.h
- multSub_32x32_keep32_R : arm_math.h